org.apache.olingo.server.api.uri

## Interface UriInfoCrossjoin

- All Known Subinterfaces:
    UriInfo

      public interface UriInfoCrossjoin

  Used for URI info kind `UriInfoKind.crossjoin` to describe URIs like http://.../serviceroot/$crossjoin(...)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CountOption` | `getCountOption()`
    `DeltaTokenOption` | `getDeltaTokenOption()`
    `List<String>` | `getEntitySetNames()`
    `ExpandOption` | `getExpandOption()`
    `FilterOption` | `getFilterOption()`
    `FormatOption` | `getFormatOption()`
    `OrderByOption` | `getOrderByOption()`
    `SearchOption` | `getSearchOption()`
    `SelectOption` | `getSelectOption()`
    `SkipOption` | `getSkipOption()`
    `SkipTokenOption` | `getSkipTokenOption()`
    `TopOption` | `getTopOption()`

- - ### Method Detail

    - #### getEntitySetNames

          List<String> getEntitySetNames()

      Returns:
        List of entity set names

    - #### getExpandOption

          ExpandOption getExpandOption()

      Returns:
        Object containing information of the $expand option

    - #### getFilterOption

          FilterOption getFilterOption()

      Returns:
        Object containing information of the $filter option

    - #### getFormatOption

          FormatOption getFormatOption()

      Returns:
        Object containing information of the $format option

    - #### getCountOption

          CountOption getCountOption()

      Returns:
        Object containing information of the $count option

    - #### getOrderByOption

          OrderByOption getOrderByOption()

      Returns:
        Object containing information of the $orderby option

    - #### getSearchOption

          SearchOption getSearchOption()

      Returns:
        Object containing information of the $search option

    - #### getSelectOption

          SelectOption getSelectOption()

      Returns:
        Object containing information of the $select option

    - #### getSkipOption

          SkipOption getSkipOption()

      Returns:
        Object containing information of the $skip option

    - #### getSkipTokenOption

          SkipTokenOption getSkipTokenOption()

      Returns:
        Object containing information of the $skiptoken option

    - #### getTopOption

          TopOption getTopOption()

      Returns:
        Object containing information of the $top option

    - #### getDeltaTokenOption

          DeltaTokenOption getDeltaTokenOption()

      Returns:
        Object containing information of the $deltatoken option

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.